<?php

namespace Jipink\Settings\Configuration;


use Jipink\Settings\Sections\Section;
use Jipink\Settings\Sections\SectionInterface;

/**
 * Auth1Section class
 */
class Auth1Section extends Section implements SectionInterface
{
    private $data = [
        'slug' => 'wc-jipink-auth1-settings'
    ];

    /**
     * Default constructor
     */
    public function __construct()
    {
        $this->data['name'] = __('Auth 1.0', 'jipink-for-woocommerce');
        parent::__construct($this->data);
    }

    /**
     * Gets all our fields in this section
     *
     * @return array
     */
    public static function get_fields()
    {
        return [
            'customer_id' => [
                'name' => __('Customer ID', 'jipink-for-woocommerce'),
                'slug' => 'customer_id',
                'description' => __('¡DEPRECADO! Utilizar Auth 2.0 en su lugar.', 'jipink-for-woocommerce'),
                'type' => 'text'
            ],
            'api_key' => [
                'name' => __('API Key', 'jipink-for-woocommerce'),
                'slug' => 'api_key',
                'description' => __('¡DEPRECADO! Utilizar Auth 2.0 en su lugar.', 'jipink-for-woocommerce'),
                'type' => 'password'
            ]
        ];
    }
}
